# Uses of Class
java.net.DatagramPacket

Packages that use DatagramPacket
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of DatagramPacket in java.net

Methods in java.net with parameters of type DatagramPacket
Modifier and Type
Method
Description
`protected abstract int`
DatagramSocketImpl.`peekData(DatagramPacket p)`
Peek at the packet to see who it is from.
`void`
DatagramSocket.`receive(DatagramPacket p)`
Receives a datagram packet from this socket.
`protected abstract void`
DatagramSocketImpl.`receive(DatagramPacket p)`
Receive the datagram packet.
`void`
DatagramSocket.`send(DatagramPacket p)`
Sends a datagram packet from this socket.
`protected abstract void`
DatagramSocketImpl.`send(DatagramPacket p)`
Sends a datagram packet.